Skip to main content
GET
/
v3
/
swap
/
status
Get status
curl --request GET \
  --url https://public-backend.socket.tech/v3/swap/status
{
  "success": true,
  "statusCode": 200,
  "result": {
    "quoteId": "0x759a82929538535f6186da129b49e42f3fa22539cde911a2f394bf9d1e3732b4",
    "userOp": "tx",
    "status": "PENDING",
    "statusCode": "PENDING",
    "origin": {
      "chainId": 42161,
      "status": "PENDING",
      "txHash": null,
      "timestamp": null,
      "userAddress": "0x3e8cb4bd04d81498ab4b94a392c334f5328b237b",
      "input": [
        {
          "token": {
            "chainId": 42161,
            "address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
            "name": "USDC",
            "symbol": "USDC",
            "decimals": 6,
            "logoURI": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
            "icon": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602"
          },
          "amount": "100000",
          "priceInUsd": 1,
          "valueInUsd": 0.1
        }
      ]
    },
    "destination": {
      "chainId": 42161,
      "status": "PENDING",
      "txHash": null,
      "timestamp": null,
      "receiverAddress": "0x3e8cb4bd04d81498ab4b94a392c334f5328b237b",
      "output": [
        {
          "token": {
            "chainId": 42161,
            "address": "0xfd086bc7cd5c481dcc9c85ebe478a1c0b69fcbb9",
            "name": "USDT0",
            "symbol": "USDT0",
            "decimals": 6,
            "logoURI": "https://assets.coingecko.com/coins/images/53705/large/usdt0.jpg?1737086183",
            "icon": "https://assets.coingecko.com/coins/images/53705/large/usdt0.jpg?1737086183"
          },
          "amount": "100023",
          "minAmountOut": "100023",
          "priceInUsd": 0.999872,
          "valueInUsd": 0.1000101971
        }
      ]
    },
    "routeDetails": {
      "name": "0x",
      "logoURI": "https://media.socket.tech/dexes/zerox.svg"
    },
    "refund": null
  },
  "message": null
}

Query Parameters

quoteId
string
default:0x6bfa9f6a45f1a0d5a7a71a4f4f97d9a7
required

Quote ID returned by /v3/swap/quote.

Example:

"0x6bfa9f6a45f1a0d5a7a71a4f4f97d9a7"

includeQuoteDetails
enum<string>

Whether to include stored quote row details in the response.

Available options:
true,
false

Response

200 - application/json

V3 swap route status.